Skip to main content
GET
Get favorite movies

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

account_id
integer
required

A unique numeric identifier for a user account on TMDB. See how to get account id here [blocked].

Example:

548

Query Parameters

session_id
string

A unique identifier for an authenticated user session. Usually used for user authentication [blocked]

Example:

"02a0e6d34dbd8325254e83c78918599076a62b0e"

language
string

The language and region of the content, represented by an ISO 639-1 and ISO 3166-1 code combination (e.g, en-US for English, United States.). Defaults to en-US.

Example:

"en-US"

page
integer

A specific page number to get results for. Defaults to 1

Example:

1

sort_by
enum<string>

Used to determine the order in which results are sorted in the response (ascending or descending). Allowed values: * created_at.asc: Sort by date created in ascending order * created_at.desc: sort by date created in descending order Defaults to created_at.asc

Available options:
created_at.asc,
created_at.desc

Response

200 - application/json

Request successful

page
number

Current page number of the results

Example:

1

results
object[]
Example:
total_pages
number

The total number of pages returned in the response

Example:

1

total_results
number

The total number of results returned in the response

Example:

1